<?php
$NomFichier="donnees.txt";
echo "NomFichier=$NomFichier".PHP_EOL;

$tab=array("nom"=>"Dupont","prenom"=>"Jean","age"=>24);
print_r($tab);

echo "--- basename ---".PHP_EOL;
$nombase=basename($NomFichier,".txt");
echo "nombase=$nombase".PHP_EOL;

echo "--- pathinfo ---".PHP_EOL;
$elements_chemin=pathinfo("./donnees_utilisateurs.data");
print_r($elements_chemin);

echo "--- realpath ---".PHP_EOL;
$chemin=realpath(".");
echo "chemin=$chemin".PHP_EOL;

echo "--- dirname ---".PHP_EOL;
$rep=dirname($chemin);
echo "rep=$rep".PHP_EOL;

echo "--- parse_url ---".PHP_EOL;
$URL = 'http://dupont:pdp@serveur.dom.fr/chemin?argument=valeur';
print_r(parse_url($URL));

echo "--- touch ---".PHP_EOL;
$res=touch($NomFichier);

echo "--- copy ---".PHP_EOL;
$Nouveau=$NomFichier.".sauve";
$res=copy($NomFichier,$Nouveau);

echo "--- unlink ---".PHP_EOL;
$res=unlink($Nouveau);

echo "--- mkdir ---".PHP_EOL;
$res=mkdir("./Rep");

echo "--- is_dir ---".PHP_EOL;
$res=is_dir("./Rep");

echo "--- disk_free_space ---".PHP_EOL;
$res=disk_free_space("./Rep");
echo $res.PHP_EOL;

echo "--- disk_total_space ---".PHP_EOL;
$res=disk_total_space("./Rep");
echo $res.PHP_EOL;

echo "--- rmdir ---".PHP_EOL;
$res=rmdir("./Rep");

echo "--- is_file ---".PHP_EOL;
$res=is_file($NomFichier);

echo "--- is_link ---".PHP_EOL;
$res=is_link($NomFichier);

echo "--- is_readable ---".PHP_EOL;
$res=is_readable($NomFichier);

echo "--- is_writable ---".PHP_EOL;
$res=is_writable($NomFichier);

echo "--- is_uploaded_file ---".PHP_EOL;
$res=is_uploaded_file($NomFichier);

echo "--- file_exists ---".PHP_EOL;
$res=file_exists($NomFichier);

echo "--- file_put_contents ---".PHP_EOL;
file_put_contents($NomFichier,$tab);

echo "--- file_get_contents ---".PHP_EOL;
$ch = file_get_contents($NomFichier);
echo $ch.PHP_EOL;

echo "--- file_get_contents ---".PHP_EOL;
$tableau = file($NomFichier);
print_r($tableau);

echo "--- filesize ---".PHP_EOL;
$nb = filesize($NomFichier);
echo $nb.PHP_EOL;

echo "--- filetype ---".PHP_EOL;
$retour = filetype($NomFichier);
echo $retour.PHP_EOL;

echo "--- fputcsv ---".PHP_EOL;
$tab2 = array (
   array('Dupont', 'Jean', 24),
   array('Martin', 'Pierre', 35)
   );
$f2 = fopen('fichier.csv', 'w');
foreach ($tab2 as $champ)
{
    fputcsv($f2, $champ);
}
fclose($f2);

echo "--- fstat ---".PHP_EOL;
$f1 = fopen($NomFichier, "r");
$tabstat = fstat($f1);
fclose($f1);
print_r($tabstat);

echo "--- readfile ---".PHP_EOL;
readfile($NomFichier);
echo PHP_EOL;

echo "--- rename ---".PHP_EOL;
$Nouveau=$NomFichier.".sauve";
$res=rename($NomFichier,$Nouveau);

echo "--- stat ---".PHP_EOL;
$tabstat2 = stat($Nouveau);
print_r($tabstat2);

echo "--- tempnam ---".PHP_EOL;
$NomF2 = tempnam(".","temp");
echo $NomF2.PHP_EOL;

echo "--- tmpfile ---".PHP_EOL;
$ftemp = tmpfile();
fwrite($ftemp, "Écriture dans le fichier temporaire");
fseek($ftemp, 0);
echo fread($ftemp, 1024);
fclose($ftemp); // ceci va effacer le fichier

?>
